Bug 1554672 (CVE-2018-7726) - CVE-2018-7726 zziplib: Bus error in zip.c:__zzip_parse_root_directory() cause crash via crafted zip file
Summary: CVE-2018-7726 zziplib: Bus error in zip.c:__zzip_parse_root_directory() cause...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7726
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1545813 (view as bug list)
Depends On: 1554673 1555082 1558623
Blocks: 1554666
TreeView+ depends on / blocked
 
Reported: 2018-03-13 06:47 UTC by Sam Fowler
Modified: 2019-09-29 14:35 UTC (History)
3 users (show)

Fixed In Version: zziplib 0.13.69
Doc Type: If docs needed, set a value
Doc Text:
An improper input validation was found in function __zzip_fetch_disk_trailer of ZZIPlib, up to 0.13.68, that could lead to a crash in __zzip_parse_root_directory function of zzip/zip.c. Remote attackers could leverage this vulnerability to cause a denial of service via a crafted zip file.
Clone Of:
Environment:
Last Closed: 2019-06-10 10:17:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3229 None None None 2018-10-30 07:52:05 UTC

Description Sam Fowler 2018-03-13 06:47:34 UTC
ZZIPlib through version 0.13.68 does not correctly validate input values used in
zip.c:__zzip_parse_root_directory() as parameters to mmap. Remote attackers
could leverage this vulnerability to cause a Denial of Service via a crafted
zip file.


Upstream Issue:
https://github.com/gdraheim/zziplib/issues/41
https://github.com/gdraheim/zziplib/issues/27

Upstream patches:
https://github.com/gdraheim/zziplib/commit/8f48323c181e20b7e527b8be7229d6eb1148ec5f
https://github.com/gdraheim/zziplib/commit/19c9e4dc6c5cf92a38d0d23dbccac6993f9c41be
https://github.com/gdraheim/zziplib/commit/feae4da1a5c92100c44ebfcbaaa895959cc0829b

Comment 1 Sam Fowler 2018-03-13 06:47:54 UTC
Created zziplib tracking bugs for this issue:

Affects: fedora-all [bug 1554673]

Comment 5 Riccardo Schirone 2018-03-21 08:21:48 UTC
*** Bug 1545813 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2018-10-30 07:51:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3229 https://access.redhat.com/errata/RHSA-2018:3229


Note You need to log in before you can comment on or make changes to this bug.